# User Analytics

## Retrieves analytics for the current user.

> Retrieves analytics for the current user.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Core.Entities.Analytics.ResourceSummary":{"type":"object","properties":{"reviewJobs":{"type":"integer","format":"int32"},"reviewCredits":{"type":"number","format":"double"},"chat":{"$ref":"#/components/schemas/JYLO.Core.Entities.BillingService.ChatCreditAnalysis"},"conversation":{"$ref":"#/components/schemas/JYLO.Core.Entities.BillingService.ChatCreditAnalysis"},"chatDocuments":{"$ref":"#/components/schemas/JYLO.Core.Entities.BillingService.ChatCreditAnalysis"},"chatTextAnalysis":{"$ref":"#/components/schemas/JYLO.Core.Entities.BillingService.ChatCreditAnalysis"},"totalCredits":{"type":"number","format":"double"},"totalJobs":{"type":"integer","format":"int32"}},"additionalProperties":false},"JYLO.Core.Entities.BillingService.ChatCreditAnalysis":{"type":"object","properties":{"credits":{"type":"number","format":"double"},"jobs":{"type":"integer","format":"int32"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/admin/current-user":{"get":{"tags":["User Analytics"],"summary":"Retrieves analytics for the current user.","description":"Retrieves analytics for the current user.","parameters":[{"name":"searchText","in":"query","description":"Optional search text to filter results.","schema":{"type":"string"}},{"name":"pageNumber","in":"query","description":"The page number to retrieve.","schema":{"type":"integer","format":"int32"}},{"name":"usage","in":"query","description":"Whether to include usage statistics.","schema":{"type":"boolean"}},{"name":"roles","in":"query","description":"Whether to include user roles.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Entities.Analytics.ResourceSummary"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Entities.Analytics.ResourceSummary"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Core.Entities.Analytics.ResourceSummary"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Retrieves a paginated list of organization members with analytics.

> Retrieves a paginated list of organization members with analytics.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Analytics.GetMembersResponseModel":{"type":"object","properties":{"members":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Models.Analytics.UserReadModel"},"nullable":true},"count":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.Projects.Models.Analytics.UserReadModel":{"type":"object","properties":{"name":{"type":"string","nullable":true},"user_id":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"resourceSummary":{"$ref":"#/components/schemas/Jylo.Projects.Models.Analytics.ResourceSummaryModel"},"roles":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.Identity.Role"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Models.Analytics.ResourceSummaryModel":{"type":"object","properties":{"allAssistants":{"$ref":"#/components/schemas/Jylo.Projects.Models.Analytics.AssistantCreditAnalysisModel"},"flowCredits":{"type":"number","format":"double"},"flowJobs":{"type":"integer","format":"int32"},"totalCredits":{"type":"number","format":"double"},"totalJobs":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.Projects.Models.Analytics.AssistantCreditAnalysisModel":{"type":"object","properties":{"credits":{"type":"number","format":"double"},"jobs":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.Toolkit.Entities.Identity.Role":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/admin/users":{"get":{"tags":["User Analytics"],"summary":"Retrieves a paginated list of organization members with analytics.","description":"Retrieves a paginated list of organization members with analytics.","parameters":[{"name":"searchText","in":"query","description":"Optional search text to filter members.","schema":{"type":"string"}},{"name":"pageNumber","in":"query","description":"The page number to retrieve.","schema":{"type":"integer","format":"int32"}},{"name":"usage","in":"query","description":"Whether to include usage statistics.","schema":{"type":"boolean"}},{"name":"roles","in":"query","description":"Whether to include user roles.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Analytics.GetMembersResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Analytics.GetMembersResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Analytics.GetMembersResponseModel"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```
